org.richfaces.fragment.collapsiblePanel

## Class TextualRichFacesCollapsiblePanel

- java.lang.Object
- - org.richfaces.fragment.panel.AbstractPanel<HEADER,BODY>
  - - org.richfaces.fragment.collapsiblePanel.RichFacesCollapsiblePanel<TextualFragmentPart,TextualFragmentPart>
    - - org.richfaces.fragment.collapsiblePanel.TextualRichFacesCollapsiblePanel

- All Implemented Interfaces:
    CollapsiblePanel<TextualFragmentPart,TextualFragmentPart>, AdvancedInteractions<RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions>, AdvancedVisibleComponentIteractions<RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions>, Panel<TextualFragmentPart,TextualFragmentPart>

      public class TextualRichFacesCollapsiblePanel
      extends RichFacesCollapsiblePanel<TextualFragmentPart,TextualFragmentPart>

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.collapsiblePanel.RichFacesCollapsiblePanel

      `RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.panel.AbstractPanel

      `AbstractPanel.AdvancedPanelInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextualRichFacesCollapsiblePanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBodyText()`
    `String` | `getHeaderText()`

    - ### Methods inherited from class org.richfaces.fragment.collapsiblePanel.RichFacesCollapsiblePanel

      `advanced, collapse, expand`

    - ### Methods inherited from class org.richfaces.fragment.panel.AbstractPanel

      `getBodyClass, getBodyContent, getHeaderClass, getHeaderContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.panel.Panel

      `getBodyContent, getHeaderContent`

- - ### Constructor Detail

    - #### TextualRichFacesCollapsiblePanel

          public TextualRichFacesCollapsiblePanel()

  - ### Method Detail

    - #### getHeaderText

          public String getHeaderText()

    - #### getBodyText

          public String getBodyText()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.